"""URL patterns for the dispatcher API."""
from django.urls import path

from dispatch.views import (DispatcherActionDetail, DispatcherActionList, DispatcherDetail, DispatcherDetailByKey,
                            DispatcherList, DispatchMessage, DispatchMessageByKey)

urlpatterns = [
    path('api/dispatchers/', DispatcherList.as_view(), name='dispatch_api_dispatchers'),
    path('api/dispatchers/<int:pk>/', DispatcherDetail.as_view(), name='dispatch_api_dispatcher_detail'),
    path('api/dispatchers/<int:pk>/message', DispatchMessage.as_view(), name='dispatch_api_dispatch_message'),
    path('api/dispatchers/<key>/', DispatcherDetailByKey.as_view(), name='dispatch_api_dispatcher_detail'),
    path('api/dispatchers/<key>/message', DispatchMessageByKey.as_view(), name='dispatch_api_dispatch_message'),

    path('api/actions/', DispatcherActionList.as_view(), name='dispatch_api_actions'),
    path('api/actions/<pk>/', DispatcherActionDetail.as_view(), name='dispatch_api_action_detail'),
]
