"""General/baselite/site-wide URLs."""
from adminplus.sites import AdminSitePlus
from django.conf.urls import include
from django.contrib import admin
from django.urls import path
from django.views.generic import TemplateView

admin.site = AdminSitePlus()
admin.sites.site = admin.site
admin.autodiscover()

urlpatterns = [
    path('', TemplateView.as_view(template_name='index.html'), name='index'),

    path('countdown/', include('countdown.urls')),
    path('dice/', include('dice.urls')),
    path('dispatch/', include('dispatch.urls')),
    path('itemsets/', include('facts.urls')),
    path('karma/', include('karma.urls')),
    path('markov/', include('markov.urls')),
    path('pi/', include('pi.urls')),
    path('races/', include('races.urls')),
    path('weather/', include('weather.urls')),

    path('admin/', admin.site.urls),
]
